Read team
curl --request GET \
--url https://apiweb.mile.app/api/v3/teams \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiweb.mile.app/api/v3/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiweb.mile.app/api/v3/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"current_page": 1,
"data": [
{
"_id": "650138dee2683e0e7c6b0ed2",
"name": "Team Delivery Day 2",
"hubId": "64d9932e2beb9037735ff022",
"organizationId": "64d99303be0ad015c461c932",
"updatedTime": "2023-09-13T04:21:50.211000Z",
"createdTime": "2023-09-13T04:21:50.211000Z",
"totalUser": 0
}
],
"first_page_url": "https://apiwebdev.mile.app/api/v3/teams?hubId=64d9932e2beb9037735ff022%2Ctes&page=1",
"from": 1,
"last_page": 1,
"last_page_url": "https://apiwebdev.mile.app/api/v3/teams?hubId=64d9932e2beb9037735ff022%2Ctes&page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://apiwebdev.mile.app/api/v3/teams?hubId=64d9932e2beb9037735ff022%2Ctes&page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "https://apiwebdev.mile.app/api/v3/teams",
"per_page": 10,
"prev_page_url": null,
"to": 1,
"total": 1
},
"status": true,
"code": 200
}{
"status": false,
"message": "Bad request - invalid parameters provided."
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Team
Read team
GET
/
teams
Read team
Authorizations
Use a valid Bearer token to authenticate.
Query Parameters
The page number of results to retrieve. Example: 2
Specifies the maximum number of items to retrieve in a single request. Example: 10
Required range:
1 <= x <= 1000⌘I